it.csi.mddtools.guigen

## Interface PortalExposition

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface PortalExposition
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Portal Exposition'. Rappresenta la singola esposizione di un'applicazione su uno specifico portale, nell'ambito di una esposizione multi-portale. Nel caso in cui il portale preveda differenti aree tematiche qui si specifica anche su qyale delle aree tematiche l'applicativo deve essere esposto

  The following features are supported:

  - `Portal`
  - `Area Code`
  See Also:
    `GuigenPackage.getPortalExposition()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAreaCode()` Returns the value of the 'Area Code' attribute
    `PortalProfile` | `getPortal()` Returns the value of the 'Portal' reference
    `void` | `setAreaCode(java.lang.String value)` Sets the value of the '`Area Code`' attribute
    `void` | `setPortal(PortalProfile value)` Sets the value of the '`Portal`' reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getPortal

          PortalProfile getPortal()

      Returns the value of the 'Portal' reference. riferimento al profilo del portale di esposizione
      Returns:
        the value of the 'Portal' reference.
      See Also:
        `setPortal(PortalProfile)`, `GuigenPackage.getPortalExposition_Portal()`

    - #### setPortal

          void setPortal(PortalProfile value)

      Sets the value of the '`Portal`' reference.
      Parameters:
        `value` - the new value of the 'Portal' reference.
      See Also:
        `getPortal()`

    - #### getAreaCode

          java.lang.String getAreaCode()

      Returns the value of the 'Area Code' attribute. Codice dell'area tematica del portale nella quale è esposto l'applicativo. In caso di portali che non prevedano aree tematiche differenziate occorre specificare l'area tematica "general"
      Returns:
        the value of the 'Area Code' attribute.
      See Also:
        `setAreaCode(String)`, `GuigenPackage.getPortalExposition_AreaCode()`

    - #### setAreaCode

          void setAreaCode(java.lang.String value)

      Sets the value of the '`Area Code`' attribute.
      Parameters:
        `value` - the new value of the 'Area Code' attribute.
      See Also:
        `getAreaCode()`